CREATE TABLE AWIS_DDL_DEPLOYMENT 
(
  XDD_KEY NUMBER NOT NULL 
, XDD_DATUM DATE 
, XDD_SHA1 VARCHAR2(4000) NOT NULL 
, XDD_DATEINAME VARCHAR2(60) 
, XDD_STATUS NUMBER DEFAULT 0 
, XDD_MELDUNG VARCHAR2(4000) 
, CONSTRAINT PK_XDD_SHA1 PRIMARY KEY 
  (
    XDD_SHA1 
  )
  USING INDEX 
  (
      CREATE UNIQUE INDEX IDX_XDD_SHA1 ON AWIS_DDL_DEPLOYMENT (XDD_SHA1 ASC) 
      TABLESPACE INDX 
  )
  ENABLE 
);

CREATE INDEX IDX_XDD_KEY ON AWIS_DDL_DEPLOYMENT (XDD_KEY) 
TABLESPACE INDX;

COMMENT ON TABLE AWIS_DDL_DEPLOYMENT IS 'Tabelle für das Bamboodeployment um Datenbankänderungen zu Versionieren';

COMMENT ON COLUMN AWIS_DDL_DEPLOYMENT.XDD_STATUS IS '1=erfolgreich; 0=Fehler';

COMMENT ON COLUMN AWIS_DDL_DEPLOYMENT.XDD_MELDUNG IS 'Meldung aus Depoymentscript';

CREATE SEQUENCE SEQ_XDD_KEY;

CREATE TRIGGER TRG_SEQ_XDD_KEY 
BEFORE INSERT ON AWIS_DDL_DEPLOYMENT 
FOR EACH ROW 
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.XDD_KEY IS NULL THEN
      SELECT SEQ_XDD_KEY.NEXTVAL INTO :NEW.XDD_KEY FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/
